@echo Sometime administrative privileges required for access to systemprofile where service store its settings.
@echo Therefore "run as administrator" best choice for this script.
@Echo Off

sc stop npslogmonitor

rem set nps_svc_dir="%LOCALAPPDATA%\Deepsoftware\NPS Log Monitor"
set nps_svc_dir="%SystemRoot%\System32\config\systemprofile\AppData\Local\DeepSoftware\NPS Log Monitor"

IF NOT EXIST %nps_svc_dir% (
  set nps_svc_dir="%LOCALAPPDATA%\Deepsoftware\NPS Log Monitor"
)

IF EXIST %nps_svc_dir% (
  del %nps_svc_dir%\Indexes\*.* /Q
  rd  %nps_svc_dir%\Indexes /S /Q
  del %nps_svc_dir%\*.* /Q
  rd  %nps_svc_dir% /S /Q
  echo directory cleared: %nps_svc_dir%
) ELSE (
  echo directory not exist: %nps_svc_dir%
)

set nps_dir="%APPDATA%\Deepsoftware\NPS Log Monitor"

IF EXIST %nps_dir% (
  del %nps_dir%\*.* /Q
  rd  %nps_dir% /S /Q
  echo directory cleared: %nps_dir%
) ELSE (
  echo directory not exist: %nps_dir%
)
